#1604 Whole screen reduced in size when taking screenshots

1.0.6
open
nobody
none
5
2014-05-02
2014-01-13
Morten Olsen
No

I am running Greenshot 1.1.7 Build 17 (64 bit) (Tried to downgrade to 1.1.5 build 2643) did not help) windows 8.

When I want to take a screenshot, the moment I press the "Print scrn" button the size of my windows is reduced. It will keep reducing the size each time I press the button. I have added a Screenshot that illustrates the problem. I have pressed the "Print scrn" button 4-5 times for this screenshot.

Things I have tried to resolve or isolate the reason for the problem:
1) Downgraded to v. 1.1.5
2) I use 2 displays on my pc and adding or removing the screen has not helped

1 Attachments

Related

Bugs: #1604
Bugs: #1634

Discussion

1 2 > >> (Page 1 of 2)
  • Jens Klingen
    Jens Klingen
    2014-01-13

    Wow, that's interesting... Thanks for reporting this.
    I have just realized that this happens when Windows 8 is configured to make text and other items larger (see http://windows.microsoft.com/en-us/windows-8/get-best-display-monitor)

    I assume that this is causing your problems... We'll have a look at this.

     
  • Jens Klingen
    Jens Klingen
    2014-01-14

    Hi Morten,

    I did some more testing and realized that (on my machine) this only happens after changing the setting mentioned above, but only until the next reboot. (Windows does not give us the correct resolution information until the system has been restarted.)

    Did you (or a tool on your computer) actually change this setting?
    So maybe a reboot can fix this?

    Thanks and best regards,
    Jens

     
    • Morten Olsen
      Morten Olsen
      2014-01-14

      Hi
      Thank you very much for investigating this further. A genoptræning did not fix this. Did you see my other post? I actually fixes this by updating my BIOS on my HP 8540w by updating it from F03 to F24.

      Best regards
      Morten Olsen

      Den 14/01/2014 kl. 20.56 skrev "Jens Klingen" jklingen@users.sf.net<mailto:jklingen@users.sf.net>:

      Hi Morten,

      I did some more testing and realized that (on my machine) this only happens after changing the setting mentioned above, but only until the next reboot. (Windows does not give us the correct resolution information until the system has been restarted.)

      Did you (or a tool on your computer) actually change this setting?
      So maybe a reboot can fix this?

      Thanks and best regards,
      Jens


      [bugs:#1604]http://sourceforge.net/p/greenshot/bugs/1604/ Whole screen reduced in size when taking screenshots

      Status: open
      Labels: black bar Minimize
      Created: Mon Jan 13, 2014 02:03 PM UTC by Morten Olsen
      Last Updated: Mon Jan 13, 2014 10:06 PM UTC
      Owner: nobody

      I am running Greenshot 1.1.7 Build 17 (64 bit) (Tried to downgrade to 1.1.5 build 2643) did not help) windows 8.

      When I want to take a screenshot, the moment I press the "Print scrn" button the size of my windows is reduced. It will keep reducing the size each time I press the button. I have added a Screenshot that illustrates the problem. I have pressed the "Print scrn" button 4-5 times for this screenshot.

      Things I have tried to resolve or isolate the reason for the problem:
      1) Downgraded to v. 1.1.5
      2) I use 2 displays on my pc and adding or removing the screen has not helped


      Sent from sourceforge.nethttp://sourceforge.net because you indicated interest in https://sourceforge.net/p/greenshot/bugs/1604/

      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #1604

  • Jens Klingen
    Jens Klingen
    2014-01-15

    Hi,
    I am not sure which other post you are talking about, just saw these two in this ticket... If there is another one somewhere, Sourceforge has failed to send me a notification about it - please let me know then.

    If you could fix this problem by updating your BIOS, I'd happily mark this ticket as fixed...

    Thanks and best regards,
    Jens

     
  • Sutee
    Sutee
    2014-02-13

    I have the same problem. I using multiple screen with differences resolution, removing additional screen doesn't help. But I found the workaround as below:

    1) Go to "C:\Program Files\Greenshot\" folder.
    2) Right click on Greenshot.exe.
    3) Click on Properties.
    4) Go to Compatibility tab.
    5) Selected "Disable display scaling on high DPI settings".
    6) Apply and OK.

    Note:

    This setting also persist after reboot and I'm using Windows 8.1 Pro.

     
    Last edit: Sutee 2014-02-13
  • Was just going to file a bug about this, I have the same problem on my Windows 8.1, and disabling the windows scaling feature (default is 125% on my laptop with 1920x1200 resolution) and setting it to 100% the problem is gone, even after reboot. Would be nice to get this fixed! I'm using 1.1.17 build 17 64bit.

     
  • Jason Granholm
    Jason Granholm
    2014-04-05

    I have this same bug, I just updated and am on windows 8.1 with 3 monitors in eyefinity setup and when push the print screen button my screen zooms in and I can't capture anything on the bottom of the screen. This only happened after the latest update.

     
    • Morten Olsen
      Morten Olsen
      2014-04-05

      Med venlig hilsen
      Morten Olsen

      Den 05/04/2014 kl. 11.06 skrev "Jason Granholm" jasongranholm@users.sf.net<mailto:jasongranholm@users.sf.net>:

      I have this same bug, I just updated and am on windows 8.1 with 3 monitors in eyefinity setup and when push the print screen button my screen zooms in and I can't capture anything on the bottom of the screen. This only happened after the latest update.


      [bugs:#1604]http://sourceforge.net/p/greenshot/bugs/1604/ Whole screen reduced in size when taking screenshots

      Status: open
      Group: 1.0.6
      Labels: black bar Minimize
      Created: Mon Jan 13, 2014 02:03 PM UTC by Morten Olsen
      Last Updated: Wed Apr 02, 2014 03:53 PM UTC
      Owner: nobody

      I am running Greenshot 1.1.7 Build 17 (64 bit) (Tried to downgrade to 1.1.5 build 2643) did not help) windows 8.

      When I want to take a screenshot, the moment I press the "Print scrn" button the size of my windows is reduced. It will keep reducing the size each time I press the button. I have added a Screenshot that illustrates the problem. I have pressed the "Print scrn" button 4-5 times for this screenshot.

      Things I have tried to resolve or isolate the reason for the problem:
      1) Downgraded to v. 1.1.5
      2) I use 2 displays on my pc and adding or removing the screen has not helped


      Sent from sourceforge.nethttp://sourceforge.net because you indicated interest in https://sourceforge.net/p/greenshot/bugs/1604/

      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #1604

      Attachments
  • Jens Klingen
    Jens Klingen
    2014-04-06

    Hi all,

    Thanks for your input on this issue. It seems to occur only with multiple displays and having different scaling applied to them, so the best workaround for now is probably to disable scaling as suggested by Christian above.
    For some reason, my Windoes 8.1 system is reluctant to use different scaling for my second display, so I still have no way of reproducing things. Whenever I try to change it for one display, it gets changed for both :-/

    But we'll have a deeper look into this.

    Best regards,
    Jens

     
  • Jens Klingen
    Jens Klingen
    2014-04-21

    Oh, and as pointed out by lunarstudio in [#1631] another workaround would be to use another capture mode for now, as the poblem only affects region capture. So, one could do a window or fullscreen capture instead and (if needed) crop to needed region using the image editor.

    Best regards,
    Jens

     

    Related

    Bugs: #1631

1 2 > >> (Page 1 of 2)